Skip to content

Mount / Unmount SFS to Instance

PUT
/notebooks/{Notebook_Id}/mounted-sfs/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-sfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"action": "mount",
"sfs_ids": [
200
],
"sfs_path": "/new"
}'

Kindly choose request example mount for mounting update and unmount for unmounting.

Notebook_Id
required
integer

Notebook ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
action
required
string

Example

mount
sfs_ids
required
Array<integer>

Example

[
200
]
sfs_path
required
string

Example

/new

Success

Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": {},
"message": "Success"
}